<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>lib.Xai.cargoXfer</name>
<version>2</version>
<engineversion>25</engineversion>
<description>Handles transfer of cargo</description>
<arguments>
<argument index="1" name="cmd" type="Var/String" desc="CMD" />
<argument index="2" name="Target" type="Var/Ship/Station" desc="Target" />
<argument index="3" name="Ware" type="Var/Ware" desc="Ware" />
<argument index="4" name="amount" type="Var/Number" desc="Quantity" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="003" indent=""><var>$amount.xfered&#160;=&#160;</var><var>0</var></line>
<line linenr="004" indent=""></line>
<line linenr="005" indent=""><comment><text>*&#160;</text><var>To&#160;&#160;Ship</var></comment></line>
<line linenr="006" indent=""><var>if&#160;</var><var>$cmd</var><text>&#160;</text><var>==</var><text>&#160;</text><var>'to.ship'</var></line>
<line linenr="007" indent="&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Transporter&#160;Device</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="008" indent="&#160;&#160;"><var>if&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>$Ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="009" indent="&#160;&#160;&#160;"></line>
<line linenr="010" indent=""><comment><text>*&#160;</text><var>&#160;&#160;&#160;-&#160;adjust&#160;amount</var></comment></line>
<line linenr="011" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$amount</var></line>
<line linenr="012" indent="&#160;&#160;&#160;&#160;"><var>$amount&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>$Ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="013" indent="&#160;&#160;&#160;"><var>$cur.amount&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>$Ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="014" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$amount</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$cur.amount</var></line>
<line linenr="015" indent="&#160;&#160;&#160;&#160;"><var>$amount&#160;=&#160;</var><var>$cur.amount</var></line>
<line linenr="016" indent="&#160;&#160;&#160;"></line>
<line linenr="017" indent="&#160;&#160;&#160;"><var>$tgt.amount&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>$Ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="018" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$amount</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$tgt.amount</var></line>
<line linenr="019" indent="&#160;&#160;&#160;&#160;"><var>$amount&#160;=&#160;</var><var>$tgt.amount</var></line>
<line linenr="020" indent="&#160;&#160;&#160;"></line>
<line linenr="021" indent=""><comment><text>*&#160;</text><var>&#160;&#160;&#160;-&#160;check&#160;&#160;range</var></comment></line>
<line linenr="022" indent="&#160;&#160;&#160;"><var>$range&#160;=&#160;</var><text>get&#160;distance&#160;between&#160;</text><var>[THIS]</var><text>&#160;and&#160;</text><var>$Target</var></line>
<line linenr="023" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$range</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>5000</var></line>
<line linenr="024" indent=""><comment><text>*&#160;</text><var>&#160;&#160;&#160;-&#160;make&#160;transfer</var></comment></line>
<line linenr="025" indent="&#160;&#160;&#160;&#160;"><var>$rmv.amount&#160;=&#160;</var><var>$amount</var><text>&#160;</text><var>*</var><text>&#160;</text><var>-1</var></line>
<line linenr="026" indent="&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;add&#160;</text><var>$rmv.amount</var><text>&#160;units&#160;of&#160;</text><var>$Ware</var></line>
<line linenr="027" indent="&#160;&#160;&#160;&#160;"><var>$amount.xfered&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;add&#160;</text><var>$amount</var><text>&#160;units&#160;of&#160;</text><var>$Ware</var></line>
<line linenr="028" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="029" indent="&#160;&#160;&#160;"></line>
<line linenr="030" indent="&#160;&#160;"><text>end</text></line>
<line linenr="031" indent="&#160;"><text>end</text></line>
<line linenr="032" indent="&#160;"></line>
<line linenr="033" indent=""><comment><text>*&#160;</text><var>From&#160;&#160;Ship</var></comment></line>
<line linenr="034" indent=""><var>else&#160;if&#160;</var><var>$cmd</var><text>&#160;</text><var>==</var><text>&#160;</text><var>'from.ship'</var></line>
<line linenr="035" indent="&#160;"><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>Transporter&#160;Device</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="036" indent="&#160;&#160;"><var>if&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>$Ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="037" indent=""><comment><text>*&#160;</text><var>&#160;&#160;&#160;-&#160;adjust&#160;amount</var></comment></line>
<line linenr="038" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$amount</var></line>
<line linenr="039" indent="&#160;&#160;&#160;&#160;"><var>$amount&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>$Ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="040" indent="&#160;&#160;&#160;"><var>$cur.amount&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>$Ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="041" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$amount</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$cur.amount</var></line>
<line linenr="042" indent="&#160;&#160;&#160;&#160;"><var>$amount&#160;=&#160;</var><var>$cur.amount</var></line>
<line linenr="043" indent="&#160;&#160;&#160;"></line>
<line linenr="044" indent="&#160;&#160;&#160;"><var>$tgt.amount&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;free&#160;amount&#160;of&#160;ware&#160;</text><var>$Ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="045" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$amount</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$tgt.amount</var></line>
<line linenr="046" indent="&#160;&#160;&#160;&#160;"><var>$amount&#160;=&#160;</var><var>$tgt.amount</var></line>
<line linenr="047" indent="&#160;&#160;&#160;"></line>
<line linenr="048" indent=""><comment><text>*&#160;</text><var>&#160;&#160;&#160;-&#160;check&#160;&#160;range</var></comment></line>
<line linenr="049" indent="&#160;&#160;&#160;"><var>$range&#160;=&#160;</var><text>get&#160;distance&#160;between&#160;</text><var>[THIS]</var><text>&#160;and&#160;</text><var>$Target</var></line>
<line linenr="050" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$range</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>5000</var></line>
<line linenr="051" indent=""><comment><text>*&#160;</text><var>&#160;&#160;&#160;-&#160;make&#160;transfer</var></comment></line>
<line linenr="052" indent="&#160;&#160;&#160;&#160;"><var>$rmv.amount&#160;=&#160;</var><var>$amount</var><text>&#160;</text><var>*</var><text>&#160;</text><var>-1</var></line>
<line linenr="053" indent="&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;add&#160;</text><var>$rmv.amount</var><text>&#160;units&#160;of&#160;</text><var>$Ware</var></line>
<line linenr="054" indent="&#160;&#160;&#160;&#160;"><var>$amount.xfered&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;add&#160;</text><var>$amount</var><text>&#160;units&#160;of&#160;</text><var>$Ware</var></line>
<line linenr="055" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="056" indent="&#160;&#160;&#160;"></line>
<line linenr="057" indent="&#160;&#160;"><text>end</text></line>
<line linenr="058" indent="&#160;"><text>end</text></line>
<line linenr="059" indent="&#160;"></line>
<line linenr="060" indent=""><comment><text>*&#160;</text><var>To&#160;&#160;Station</var></comment></line>
<line linenr="061" indent=""><var>else&#160;if&#160;</var><var>$cmd</var><text>&#160;</text><var>==</var><text>&#160;</text><var>'to.station'</var></line>
<line linenr="062" indent="&#160;"><var>if&#160;</var><var>[DOCKEDAT]</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$Target</var></line>
<line linenr="063" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>$amount</var></line>
<line linenr="064" indent="&#160;&#160;&#160;"><var>$amount&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>$Ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="065" indent="&#160;&#160;"></line>
<line linenr="066" indent="&#160;&#160;"><var>$amount.xfered&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;unload&#160;</text><var>$amount</var><text>&#160;units&#160;of&#160;</text><var>$Ware</var></line>
<line linenr="067" indent="&#160;"><text>end</text></line>
<line linenr="068" indent="&#160;"></line>
<line linenr="069" indent=""><comment><text>*&#160;</text><var>From&#160;&#160;Station</var></comment></line>
<line linenr="070" indent=""><var>else&#160;if&#160;</var><var>$cmd</var><text>&#160;</text><var>==</var><text>&#160;</text><var>'from.station'</var></line>
<line linenr="071" indent="&#160;"><var>if&#160;</var><var>[DOCKEDAT]</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$Target</var></line>
<line linenr="072" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>$amount</var></line>
<line linenr="073" indent="&#160;&#160;&#160;"><var>$amount&#160;=&#160;</var><var>$Target&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>$Ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="074" indent="&#160;&#160;"></line>
<line linenr="075" indent="&#160;&#160;"><var>$amount.xfered&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;load&#160;</text><var>$amount</var><text>&#160;units&#160;of&#160;</text><var>$Ware</var></line>
<line linenr="076" indent="&#160;"><text>end</text></line>
<line linenr="077" indent="&#160;"></line>
<line linenr="078" indent=""><text>end</text></line>
<line linenr="079" indent=""></line>
<line linenr="080" indent=""><text>return&#160;</text><var>$amount.xfered</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="lib.Xai.cargoXfer" /><sval type="int" val="25" /><sval type="string" val="Handles transfer of cargo" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="array" size="9"><sval type="string" val="cmd" /><sval type="string" val="Target" /><sval type="string" val="Ware" /><sval type="string" val="amount" /><sval type="string" val="amount.xfered" /><sval type="string" val="cur.amount" /><sval type="string" val="tgt.amount" /><sval type="string" val="range" /><sval type="string" val="rmv.amount" /></sval><sval type="array" size="47"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610608125" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="5" /><sval type="string" val="to.ship" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-1610608381" /><sval type="int" val="9" /><sval type="int" val="1048610" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-1610608381" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536869369" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536868601" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536867833" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="738" /><sval type="int" val="7" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610608381" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="5000" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="8" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="-1" /><sval type="int" val="15" /><sval type="int" val="13" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="13" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="46" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610603771" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="5" /><sval type="string" val="from.ship" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-1610604029" /><sval type="int" val="9" /><sval type="int" val="1048610" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-1610604029" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536865017" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536864249" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="620" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536863481" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="738" /><sval type="int" val="7" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604029" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="5000" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="8" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="-1" /><sval type="int" val="15" /><sval type="int" val="13" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="13" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="46" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610602235" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="5" /><sval type="string" val="to.station" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610602493" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536860921" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="8"><sval type="int" val="640" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="46" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610600955" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="5" /><sval type="string" val="from.station" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610600957" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536859385" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="8"><sval type="int" val="639" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval></sval><sval type="array" size="4"><sval type="array" size="2"><sval type="int" val="11" /><sval type="string" val="CMD" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="string" val="Target" /></sval><sval type="array" size="2"><sval type="int" val="13" /><sval type="string" val="Ware" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Quantity" /></sval></sval><sval type="array" size="36"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="1" /><sval type="int" val="1" /><sval type="string" val="To  Ship" /></sval><sval type="array" size="2"><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="4" /><sval type="int" val="1" /><sval type="string" val="   - adjust amount" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="12" /><sval type="int" val="1" /><sval type="string" val="   - check  range" /></sval><sval type="array" size="3"><sval type="int" val="14" /><sval type="int" val="1" /><sval type="string" val="   - make transfer" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="17" /><sval type="int" val="1" /><sval type="string" val="From  Ship" /></sval><sval type="array" size="3"><sval type="int" val="21" /><sval type="int" val="1" /><sval type="string" val="   - adjust amount" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="29" /><sval type="int" val="1" /><sval type="string" val="   - check  range" /></sval><sval type="array" size="3"><sval type="int" val="31" /><sval type="int" val="1" /><sval type="string" val="   - make transfer" /></sval><sval type="array" size="2"><sval type="int" val="34" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="34" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="34" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="34" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="34" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="34" /><sval type="int" val="1" /><sval type="string" val="To  Station" /></sval><sval type="array" size="2"><sval type="int" val="39" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="40" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="40" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="40" /><sval type="int" val="1" /><sval type="string" val="From  Station" /></sval><sval type="array" size="2"><sval type="int" val="45" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="46" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="46" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="46" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="46" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
